> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/51-kueri-yielddatasetkaraguriddodtawo.md).

# 51. クエリ: 「YieldDataset」からグリッドデータを取得

以下のように「YieldDataset」に関連するラスターデータセットから格子化データを取得するクエリ `GEOJSON`  ポイント付きまたは `GEOTIFF`。properties 属性には各ポイントごとのすべてのデータセット属性が含まれます。&#x20;

#### 1. エクスポートするファイルをリクエストする

{% hint style="danger" %}
推奨：次を使用して単一のデータセットのみを取得すること `sourceDataUrl` リクエストごとに。&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`、および `MinusTwoPixels` として利用可能です `バッファ`.

`GEOJSON` と `GEOTIFF` フォーマットとして利用可能です。&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. 生成されたファイルをダウンロードする

ファイルの準備が成功した後、次を使用してダウンロードできます `curl` または同様の方法。

{% hint style="danger" %}
`sourceDataUrl` リンクは以下の期間のみアクセス可能です **60 秒。**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/51-kueri-yielddatasetkaraguriddodtawo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
